﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls;

namespace _851429_RadMessageBox
{
    public partial class Form1 : Form
    {
        const int msgWidth = 300;
        //string msgText = "When you use Telerik controls in your WinForms application, your application must have references to several of Telerik assemblies. These references are automatically added to your project when you drag and drop controls or component on your form. There are three assemblies required in general and the rest are added only if you are using a specific control that requires some other assembly. In sum, most of the time you will not have to add references to all Telerik assemblies. Also in general, the assembly references will be added automatically and they will refer to the assemblies installed in the GAC by Telerik WinForms installer. ";
        //string msgText = "Telerik UI for WinForms includes over 60 UI controls that you can use to easily build unique and visually stunning Line of Business applications. Boasting a well-designed architecture and CAB support, Telerik UI for WinForms controls are perfectly suited for your Enterprise desktop development.";
        string msgText = "This is some long text that sometimes does not wrap as it should.. Telerik UI for WinForms includes over 60 UI controls that you can use to easily build unique and visually stunning Line of Business applications. Boasting a well-designed architecture and CAB support, Telerik UI for WinForms controls are perfectly suited for your Enterprise desktop development.";

        public Form1()
        {
            InitializeComponent();
            this.Text = Telerik.WinControls.VersionNumber.Number.ToString();
            this.radButton1.Dock = DockStyle.Fill;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            ShowMessageBox(msgText, msgWidth);
        }

        private DialogResult ShowMessageBox(string msgText, int msgWidth)
        {
            int defaultPadding = 30;
            int height = TextRenderer.MeasureText(msgText,
                RadMessageBox.Instance.Font,
                new System.Drawing.Size(msgWidth - defaultPadding, int.MaxValue),
                TextFormatFlags.WordBreak).Height;

            RadMessageBox.Instance.Controls["radLabel1"].MinimumSize = new System.Drawing.Size(msgWidth + defaultPadding, height);
            RadMessageBox.Instance.Controls["radLabel1"].MaximumSize = new System.Drawing.Size(msgWidth + defaultPadding, height);
            
            return RadMessageBox.Show(msgText);
        }
    }
}
